SWFieldManagerInternal::FieldPostIt Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SWFieldManagerInternal::FieldPostIt Struct Referencefinal

Internal: a postit field. More...

Inheritance diagram for SWFieldManagerInternal::FieldPostIt:

## Public Member Functions
| FieldPostIt ()
| constructor More...
| FieldPostIt (Field const &orig)
| copy constructor More...
| ~FieldPostIt () final
| destructor More...
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data More...
void | print (std::ostream &o) const final
| print a field More...
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor More...
virtual | ~Field ()
| destructor More...
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const
| add to send the zone data More...
virtual void | print (std::ostream &o) const
| print a field More...

## Public Attributes
librevenge::RVNGString | m_author
| the author More...
long | m_date
| the date More...
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type More...
int | m_subType
| the subtype More...
int | m_format
| the field format More...
librevenge::RVNGString | m_name
| the name More...
librevenge::RVNGString | m_content
| the content More...
librevenge::RVNGString | m_textValue
| the value text More...
double | m_doubleValue
| double More...
int | m_level
| the chapter level More...

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor More...

## Detailed Description

Internal: a postit field.

## Constructor & Destructor Documentation

## ◆ FieldPostIt() [1/2]

SWFieldManagerInternal::FieldPostIt::FieldPostIt | ( |  | ) |
| inline

constructor

## ◆ FieldPostIt() [2/2]

SWFieldManagerInternal::FieldPostIt::FieldPostIt | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldPostIt()

SWFieldManagerInternal::FieldPostIt::~FieldPostIt | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldPostIt::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## ◆ send()

bool SWFieldManagerInternal::FieldPostIt::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state
| ) |  | const
| finalvirtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_author

librevenge::RVNGString SWFieldManagerInternal::FieldPostIt::m_author

the author

Referenced by print(), and send().

## ◆ m_date

long SWFieldManagerInternal::FieldPostIt::m_date

the date

Referenced by print(), and send().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx